#
# spec file for package python-smspdu
#
# Copyright (c) 2016 SUSE LINUX GmbH, Nuernberg, Germany.
# Copyright (c) 2016, Martin Hauke <mardnh@gmx.de>
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           python-smspdu
Version:        1.0
Release:        2.1
Summary:        SMS PDU encoding and decoding, including GSM-0338 character set
License:        BSD-3-Clause
Group:          Development/Languages/Python
Url:            https://pypi.python.org/pypi/smspdu
Source:         https://pypi.python.org/packages/source/s/smspdu/smspdu-%{version}.tar.gz
BuildRequires:  python-devel
BuildRequires:  python-setuptools
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildArch:      noarch

%description
This library handles SMS-DELIVER and SMS-SUBMIT format PDUs,
and includes full support for all data formats, flags and
headers, and round-trips from PDU to object and back again.

%prep
%setup -q -n smspdu-%{version}

%build
python setup.py build

%install
python setup.py install --prefix=%{_prefix} --root=%{buildroot}

%files
%defattr(-,root,root)
%doc README.txt
%{python_sitelib}/*

%changelog
* Mon Aug 15 2016 mardnh@gmx.de
- use python-setuptools instead of python-distribute
* Sun Dec  7 2014 mardnh@gmx.de
- specfile cleanup
* Sat Aug 31 2013 mardnh@gmx.de
- initial package
